Agent-based backups for Windows and Linux, centralized agent management
Post Reply
squebel
Service Provider
Posts: 17
Liked: 3 times
Joined: Sep 27, 2019 5:06 pm
Contact:

Cloud Connect v10 and agent version requirements

Post by squebel » Feb 18, 2020 5:42 pm

Item #6 on https://helpcenter.veeam.com/docs/backu ... ml?ver=100 says: "Are you using Veeam Agents operating in the standalone mode together with Veeam Backup & Replication? If yes, after you upgrade Veeam Backup & Replication to version 10, you must upgrade Veeam Agent on protected computers to version 4.0."

We have quite a few customers doing agent-based jobs directly to our VCC offering. If we upgrade to v10, will their backups start failing immediately and continue to fail until they upgrade their agents?

PTide
Product Manager
Posts: 5507
Liked: 516 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: Cloud Connect v10 and agent version requirements

Post by PTide » Feb 18, 2020 6:58 pm

Hi,

You're right, it's a typo : ) and will be fixed shortly.

Thanks!

squebel
Service Provider
Posts: 17
Liked: 3 times
Joined: Sep 27, 2019 5:06 pm
Contact:

Re: Cloud Connect v10 and agent version requirements

Post by squebel » Feb 18, 2020 7:42 pm

Are you saying that agent backups will continue to work without issues if they are left at version less than 4.x?

Mildur
Service Provider
Posts: 165
Liked: 54 times
Joined: May 13, 2017 4:51 pm
Contact:

Re: Cloud Connect v10 and agent version requirements

Post by Mildur » Feb 19, 2020 6:05 am 1 person likes this post

@squebel

Have you read the rtm upgrade notes for vscp?
Your question was answered there 3-4 weeks ago ;)
This notes are important.

Backwards compatibility
v10 is backwards compatible with the following earlier versions of Veeam backup software:
• Veeam Backup & Replication: Veeam Cloud Connect v10 can host backups and replicas from 9.5.0.711 and later
• Veeam Agent for Microsoft Windows: Veeam Cloud Connect v10 can host backups from 3.0.0.748 and later
• Veeam Agent for Linux: Veeam Cloud Connect v10 can host backups from 3.0.0.865 and later

Dima P.
Product Manager
Posts: 11410
Liked: 983 times
Joined: Feb 04, 2013 2:07 pm
Full Name: Dmitry Popov
Location: Prague
Contact:

Re: Cloud Connect v10 and agent version requirements

Post by Dima P. » Feb 19, 2020 10:00 am 1 person likes this post

Mildur, thanks for sharing!

squebel, the main point of that bullet in Help Center (thanks to Pavel it will be rephrased): it's still recommended to upgrade your agents to the latest version at some point in time. For example for tenant Veeam B&R installations - old agents wont accept new job configuration with Backup Cache or Cloud Connect settings, so agent upgrade will be required if you want to use new features of Veeam B&R with agents.

squebel
Service Provider
Posts: 17
Liked: 3 times
Joined: Sep 27, 2019 5:06 pm
Contact:

Re: Cloud Connect v10 and agent version requirements

Post by squebel » Feb 19, 2020 3:11 pm 1 person likes this post

@mildur, thanks for that info. I am doing my darnedest to find these release notes but am striking out massively. Anyone have a link I can use?

dalbertson
Veeam Software
Posts: 240
Liked: 57 times
Joined: Jul 21, 2015 12:38 pm
Full Name: Dustin Albertson
Contact:

Re: Cloud Connect v10 and agent version requirements

Post by dalbertson » Feb 19, 2020 3:13 pm 1 person likes this post


masonit
Service Provider
Posts: 248
Liked: 16 times
Joined: Oct 09, 2012 2:30 pm
Full Name: Magnus
Contact:

Re: Cloud Connect v10 and agent version requirements

Post by masonit » Mar 31, 2020 1:59 pm

Hi

Is below the same when agents backup to vbr server with protection group?

Backwards compatibility
v10 is backwards compatible with the following earlier versions of Veeam backup software:
• Veeam Agent for Microsoft Windows: Veeam Cloud Connect v10 can host backups from 3.0.0.748 and later
• Veeam Agent for Linux: Veeam Cloud Connect v10 can host backups from 3.0.0.865 and later

\Maso

Dima P.
Product Manager
Posts: 11410
Liked: 983 times
Joined: Feb 04, 2013 2:07 pm
Full Name: Dmitry Popov
Location: Prague
Contact:

Re: Cloud Connect v10 and agent version requirements

Post by Dima P. » Mar 31, 2020 8:33 pm

Yes.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests